Package com.avaya.clientservices.messaging

## Interface MessagingLimits

-     public interface MessagingLimits

  This class defines current limits for various messaging service operations. These limits are configured on the messaging server and can change if the server administrator changes them.
  See Also:
    `MessagingServiceListener.onMessagingLimitsChanged(MessagingService, MessagingLimits)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaxAudioSize()` | Get the maximum size of an audio file attachment.
    `int` | `getMaxConversationSubjectLength()` | Get the maximum conversation subject length.
    `int` | `getMaxGenericAttachmentSize()` | Get the maximum size of an attachment that is not an audio file or image file attachment.
    `int` | `getMaxHtmlLength()` | Get the maximum HTML formatted text length value accepted.
    `int` | `getMaxImageSize()` | Get the maximum size of an image file attachment.
    `int` | `getMaxNumberOfAttachmentsPerMessage()` | Get the maximum number of attachments per message accepted.
    `int` | `getMaxTextLength()` | Get the maximum text length value accepted.
    `int` | `getMaxVideoSize()` | Get the maximum video size value accepted.
    `boolean` | `isRichContentAllowed()` | Specifies if client has access to rich content capabilities.

- - ### Method Detail

    - #### getMaxAudioSize

          int getMaxAudioSize()

      Get the maximum size of an audio file attachment.
      Returns:
        the maximum size of an audio file attachment.

    - #### getMaxImageSize

          int getMaxImageSize()

      Get the maximum size of an image file attachment.
      Returns:
        the maximum size of an image file attachment.

    - #### getMaxGenericAttachmentSize

          int getMaxGenericAttachmentSize()

      Get the maximum size of an attachment that is not an audio file or image file attachment.
      Returns:
        the maximum size of an attachment that is not an audio file or image file attachment.

    - #### getMaxTextLength

          int getMaxTextLength()

      Get the maximum text length value accepted.
      Returns:
        the maximum text length value accepted (in characters).
      See Also:
        `Message.setBodyAndReportTyping(String, MessagingCompletionHandler)`, `getMaxHtmlLength()`

    - #### getMaxVideoSize

          int getMaxVideoSize()

      Get the maximum video size value accepted.
      Returns:
        the maximum video size value accepted.

    - #### getMaxNumberOfAttachmentsPerMessage

          int getMaxNumberOfAttachmentsPerMessage()

      Get the maximum number of attachments per message accepted.
      Returns:
        the maximum number of attachments per message accepted.

    - #### getMaxConversationSubjectLength

          int getMaxConversationSubjectLength()

      Get the maximum conversation subject length.
      Returns:
        the maximum conversation subject length.
      See Also:
        `Conversation.setSubject(String, MessagingCompletionHandler)`

    - #### isRichContentAllowed

          boolean isRichContentAllowed()

      Specifies if client has access to rich content capabilities.
      Returns:
        the rich content allowed flag.

    - #### getMaxHtmlLength

          int getMaxHtmlLength()

      Get the maximum HTML formatted text length value accepted. Client SDK extracts the plain text from HTML formatted text. Plain text extracted from HTML formatted text should not exceed maxTextLength.
      Returns:
        the maximum HTML length value accepted (in characters).
      See Also:
        `Message.setBodyAndReportTyping(String, MessagingCompletionHandler)`, `getMaxTextLength()`